summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2016-03-16 17:54:43 -0700
committerSean Whitton <spwhitton@spwhitton.name>2016-03-16 17:54:43 -0700
commite7755acc509c57e0a3fab0147b8120011d79fa4c (patch)
tree6a9a9389f87465e86062ab2818b2b22566a42f92
parent55921b92c4b5ad18ec8bbe5e342572bd71eddb06 (diff)
downloaddotfiles-e7755acc509c57e0a3fab0147b8120011d79fa4c.tar.gz
readme-pull-request script
-rwxr-xr-xbin/readme-pull-request19
1 files changed, 19 insertions, 0 deletions
diff --git a/bin/readme-pull-request b/bin/readme-pull-request
new file mode 100755
index 00000000..2b961996
--- /dev/null
+++ b/bin/readme-pull-request
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# pull requests to update READMEs
+
+set -e
+
+repo=$(echo $1 | cut -d'/' -f2)
+cd $HOME/tmp
+clean-github-pr.py $1
+git clone github:spwhitton/$repo
+cd $repo
+git checkout -b apt-get origin/master
+$EDITOR README*
+git commit -am "Debian and Ubuntu installation instructions
+
+This ELPA package is now available from the Debian and Ubuntu package repositories."
+git push origin +apt-get
+cd ..
+rm -rf $repo